puppet-sendmailses
==================

Puppet module to configure Sendmail to use AWS SES

The current version of this script has only been tested with Amazon Linux running on EC2.

This module will install the necessary packages (sendmail, sendmail-cf, and m4) as well
as create the necessary configuration files and run the necessary commands to fully
configure sendmail. Using sendmail in combination with SES will only work when the from
address has been properly configured in your AWS account. Generally speaking this
configuration must be performed on an application by application basis.

## sendmailses

Configuring sendmail for SES requires only that the necessary credentials be provided.

```
smtp_user           - The "U" parameter specifying the user for SMPT authentication
                      This is the name of the SES credentials specified by the user
smtp_authentication - The "I" parameter specifying the authentication for SMPT authentication
                      This is the SES SMPT Username generated by AWS
smtp_password       - The "P" parameter specifying the password for SMPT authentication
                      This is the SES SMPT Password generated by AWS
```

### Example

```
class { "sendmailses":
  smtp_user           => "SES_CREDENTIALS_NAME",
  smtp_authentication => "SES_SMPT_USERNAME",
  smtp_password       => "SES_SMPT_PASSWORD",
}
```

### References

http://docs.aws.amazon.com/ses/latest/DeveloperGuide/sendmail.html
